{
  "name": "datamitelogservice",
  "version": "1.0.0",
  "description": "",
  "main": "dist/index.js",
  "types": "dist/index.d.ts",
  "scripts": {
    "clean": "rimraf dist/*",
    "start": "nodemon --inspect dist/index.js",
    "startWatch": "npm run debug",
    "build": "npm run clean && npm run build-ts && npm run tslint",
    "serve": "node dist/index.js",
    "watch-node": "nodemon dist/index.js",
    "watch": "concurrently -k -p \"[{name}]\" -n \"Sass,TypeScript,Node\" -c \"yellow.bold,cyan.bold,green.bold\" \"npm run watch-sass\" \"npm run watch-ts\" \"npm run watch-node\"",
    "test": "jest --forceExit --coverage --verbose",
    "watch-test": "npm run test -- --watchAll",
    "build-ts": "tsc",
    "watch-ts": "tsc -w",
    "build-sass": "node-sass src/public/css/main.scss dist/public/css/main.css",
    "watch-sass": "node-sass -w src/public/css/main.scss dist/public/css/main.css",
    "tslint": "tslint -c tslint.json -p tsconfig.json",
    "copy-static-assets": "ts-node tools/copyAssets",
    "debug": "npm run build && npm run watch-debug",
    "serve-debug": "nodemon --inspect=11011 dist/index.js",
    "watch-debug": "concurrently -k -p \"[{name}]\" -n \"TypeScript,Node\" -c \"yellow.bold,cyan.bold,green.bold\" \"npm run watch-ts\" \"npm run serve-debug\"",
    "typeorm": "node --require ts-node/register ./node_modules/typeorm/cli.js",
    "migration:generate": "typeorm-ts-node-commonjs -d ./src/data-source.ts migration:generate ./src/migrations/init",
    "migration:run": "typeorm-ts-node-commonjs   migration:run -d ./src/data-source.ts",
    "migration:generate2": "npm typeorm-ts-node-commonjs migration:generate ./src/migrations/init3 -d ./src/data-source.ts"
  },
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@types/adm-zip": "^0.4.34",
    "@types/bcrypt-nodejs": "0.0.31",
    "@types/cookie-session": "^2.0.42",
    "@types/cors": "^2.8.9",
    "@types/crypto-js": "^4.2.2",
    "@types/csurf": "^1.11.1",
    "@types/dotenv": "^8.2.0",
    "@types/exceljs": "^1.3.0",
    "@types/express": "^4.17.21",
    "@types/express-fileupload": "^1.1.6",
    "@types/fs-extra": "^9.0.5",
    "@types/hapi__joi": "^17.1.6",
    "@types/helmet": "^4.0.0",
    "@types/jsonwebtoken": "^8.5.0",
    "@types/linq": "^2.2.33",
    "@types/node": "^14.14.14",
    "@types/nodemailer": "^6.4.7",
    "@types/passport": "^1.0.4",
    "@types/passport-http-bearer": "^1.0.36",
    "@types/passport-local": "^1.0.33",
    "@types/sharp": "^0.28.0",
    "@types/shelljs": "^0.8.8",
    "@types/uuid": "^8.3.0",
    "concurrently": "^5.3.0",
    "crypto-js": "4.2.0",
    "fs-extra": "^9.0.1",
    "nodemon": "^2.0.6",
    "npm-run-all": "^4.1.5",
    "openapi-typescript": "^6.7.5",
    "redis": "^3.0.2",
    "rimraf": "^3.0.2",
    "shelljs": "^0.8.4",
    "swagger-autogen": "^2.23.5",
    "swagger-ui-express": "^5.0.0",
    "ts-node": "^10.9.1",
    "ts-node-dev": "^2.0.0",
    "tslint": "^6.1.3",
    "typescript": "^5.1.6"
  },
  "dependencies": {
    "@hapi/joi": "^17.1.1",
    "@types/swagger-ui-express": "^4.1.6",
    "adm-zip": "^0.5.9",
    "axios": "^0.25.0",
    "bcrypt-nodejs": "0.0.3",
    "body-parser": "^1.19.0",
    "cookie-session": "^1.4.0",
    "cors": "^2.8.5",
    "crypto-js": "4.2.0",
    "csurf": "^1.11.0",
    "csvtojson": "^2.0.10",
    "dotenv": "^8.2.0",
    "exceljs": "^4.3.0",
    "express": "^4.18.2",
    "express-fileupload": "^1.2.1",
    "fast-xml-parser": "^4.0.12",
    "fs": "0.0.1-security",
    "helmet": "^4.2.0",
    "jsonwebtoken": "^8.5.1",
    "jwt-js-decode": "^1.9.0",
    "keycloak-backend": "^5.0.0",
    "linq": "^3.2.3",
    "moment": "^2.29.1",
    "mysql": "^2.18.1",
    "nodemailer": "^6.9.1",
    "openapi-ts-backend": "^1.1.0",
    "passport": "^0.4.1",
    "passport-http-bearer": "^1.0.1",
    "passport-local": "^1.0.0",
    "qs": "^6.11.0",
    "reflect-metadata": "^0.1.13",
    "sharp": "^0.28.1",
    "string-strip-html": "^7.0.3",
    "swagger-autogen": "^2.23.5",
    "swagger-ui-express": "^5.0.0",
    "ts-node-dev": "^2.0.0",
    "typeorm": "^0.3.17",
    "typescript": "^5.1.6",
    "uuid": "^8.3.2",
    "winston": "^3.3.3"
  }
}